Skip to main content
GET
Get Duration Report

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

reportType
string
required

Mandatory. Specifies the type of the report to retrieve. To retrieve a report about the duration of process instances, the value must be set to duration.

periodUnit
enum<string>
required

Mandatory. Specifies the granularity of the report. Valid values are month and quarter.

Available options:
month,
quarter
processDefinitionIdIn
string

Filter by process definition ids. Must be a comma-separated list of process definition ids.

processDefinitionKeyIn
string

Filter by process definition keys. Must be a comma-separated list of process definition keys.

startedBefore
string<date-time>

Restrict to instances that were started before the given date. By default [blocked], the date must have the format yyyy-MM-dd'T'HH:mm:ss.SSSZ, e.g., 2016-01-23T14:42:45.000+0200.

startedAfter
string<date-time>

Restrict to instances that were started after the given date. By default, the date must have the format yyyy-MM-dd'T'HH:mm:ss.SSSZ, e.g., 2016-01-23T14:42:45.000+0200.

Response

Request successful.

period
integer<int32> | null

Specifies a timespan within a year. Note: The period must be interpreted in conjunction with the returned periodUnit.

periodUnit
enum<string> | null

The unit of the given period. Possible values are MONTH and QUARTER.

Available options:
MONTH,
QUARTER
minimum
integer<int64> | null

The smallest duration in milliseconds of all completed process instances which were started in the given period.

maximum
integer<int64> | null

The greatest duration in milliseconds of all completed process instances which were started in the given period.

average
integer<int64> | null

The average duration in milliseconds of all completed process instances which were started in the given period.